devguard

Frameworks

Create a new user-defined framework.

POST
/frameworks/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

organizationId?|
identifier*string
version?string
Default"1.0"
identifierColor?|
name*string
Length2 <= length <= 255
description?|

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.devguard.ch/api/frameworks/" \  -H "Content-Type: application/json" \  -d '{    "identifier": "string",    "name": "string"  }'
{
  "id": "string",
  "organizationId": "string",
  "identifier": "string",
  "slug": "string",
  "version": "1.0",
  "identifierColor": "string",
  "publishedAt": "string",
  "deprecatedAt": "string",
  "isActive": true,
  "requiredTier": "free-trial",
  "name": "string",
  "description": "string",
  "isCentralized": true,
  "lastSyncAt": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "createdBy": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?